<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Symfony\Component\HttpFoundation\Response;

class ClienteMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        return $next($request);

         if (!Auth::check()) {
            return redirect()->route('login');
        }

        
        if (Auth::user()->acesso->nome_acesso !== 'Cliente') {
            abort(403, 'Acesso negado.');
        }

        return $next($request);
    }
}
